[arch-commits] CVS update of extra/network/tor (PKGBUILD)

Jan de Groot jgc at archlinux.org
Thu Dec 27 12:55:17 EST 2007


    Date: Thursday, December 27, 2007 @ 12:55:17
  Author: jgc
    Path: /home/cvs-extra/extra/network/tor

Modified: PKGBUILD (1.16 -> 1.17)

upgpkg: tor 0.1.2.18-1


----------+
 PKGBUILD |   22 ++++++++++++----------
 1 file changed, 12 insertions(+), 10 deletions(-)


Index: extra/network/tor/PKGBUILD
diff -u extra/network/tor/PKGBUILD:1.16 extra/network/tor/PKGBUILD:1.17
--- extra/network/tor/PKGBUILD:1.16	Thu Sep 27 09:26:05 2007
+++ extra/network/tor/PKGBUILD	Thu Dec 27 12:55:17 2007
@@ -1,19 +1,24 @@
-# $Id: PKGBUILD,v 1.16 2007/09/27 13:26:05 simo Exp $
+# $Id: PKGBUILD,v 1.17 2007/12/27 17:55:17 jgc Exp $
 # Maintainer: simo <simo at archlinux.org>
 pkgname=tor
-pkgver=0.1.2.17
-pkgrel=2
+pkgver=0.1.2.18
+pkgrel=1
 pkgdesc="TOR Client"
 arch=(i686 x86_64)
 url="http://tor.eff.org"
-license="GPL"
+license=('GPL')
 install=tor.install
-depends=('openssl' 'zlib' 'libevent>=1.3d')
-source=("http://tor.eff.org/dist/tor-$pkgver.tar.gz" "tor.conf" "tor.rc")
+depends=('openssl>=0.9.8g' 'zlib' 'libevent>=1.3e' 'tsocks')
+source=(http://tor.eff.org/dist/tor-${pkgver}.tar.gz
+				tor.conf
+				tor.rc)
+md5sums=('6cfe65643f3874a9709f0c19e7c648e0'
+         '56c75d4e8a66f34167d31e38c43793dd'
+         '4e39d56f462fc9f59e91715ac1b994c0')
 
 build() {
   cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var
+  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var || return 1
   make || return 1
 
 	mkdir -p $startdir/pkg/var/lib
@@ -25,6 +30,3 @@
   mv $startdir/pkg/etc/tor/torrc.sample $startdir/pkg/etc/tor/torrc-dist
 }
 # vim: ft=sh sw=2 ts=2
-md5sums=('ef8fc7f45d167875c337063d437c9832'
-         '56c75d4e8a66f34167d31e38c43793dd'
-         '4e39d56f462fc9f59e91715ac1b994c0')




More information about the arch-commits mailing list